DragonFly 3.6 released


The 3.6 release of DragonFly is available now.  I just put up those images last night, so if your favorite mirror doesn’t have it, give it a few hours.

For those updating from 3.4 to 3.6: there’s an ABI change, so you will have to upgrade all your packages.  If you’re using pkgsrc and ready to switch to dports, now’s the time.  If you already switched to dports on your 3.4 system, binary packages for 3.6 have already been built and you can use pkg to upgrade.

Also for upgrades from 3.4: You can pull the 3.6 source normally:

cd /usr/src
git fetch origin
git branch DragonFly_RELEASE_3_6 origin/DragonFly_RELEASE_3_6
git checkout DragonFly_RELEASE_3_6

But there’s a slight change needed for the 3.4 to 3.6 transition: an extra reboot in the build process:

# make buildworld && make buildkernel && make installkernel && make installworld && reboot

# make upgrade

This is all noted in /usr/src/UPDATING and in the release notes, but I’m taking no chances.

Posted by     Categories: DragonFly, Goings-on     0 Comments
0 Comments on DragonFly 3.6 released

Respond | Trackback

Respond

Comments

Comments